package cc.fascinated.bat.features.scoresaber.command.numberone;

import cc.fascinated.bat.command.BatCommand;
import cc.fascinated.bat.command.Category;
import cc.fascinated.bat.command.CommandInfo;
import lombok.NonNull;
import net.dv8tion.jda.api.Permission;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component("scoresaber-number-one-feed")
@CommandInfo(name = "scoresaber-number-one-feed", description = "Modifies the settings for the feed.", requiredPermissions = Permission.MANAGE_SERVER, category = Category.BEAT_SABER)
public class NumberOneFeedCommand extends BatCommand {
    public NumberOneFeedCommand(@NonNull ApplicationContext context) {
        super.addSubCommands(
                context.getBean(ChannelSubCommand.class),
                context.getBean(ResetSubCommand.class)
        );
    }
}
