package cc.fascinated.bat.features.welcomer;

import cc.fascinated.bat.features.Feature;
import cc.fascinated.bat.features.welcomer.command.WelcomerCommand;
import cc.fascinated.bat.service.CommandService;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
public class WelcomerFeature extends Feature {
    @Autowired
    public WelcomerFeature(@NonNull ApplicationContext context, @NonNull CommandService commandService) {
        super("Welcomer", true);

        super.registerCommand(commandService, context.getBean(WelcomerCommand.class));
    }
}
